Steam for Linux > 一般討論 > 主題細節
chikin.sauce 2013 年 02 月 18 日 @ 下午 5 時 09 分
tf2 not starting
Steam starts with the error:

...
The following packages have unmet dependencies:
libgl1-mesa-glx : Depends: libglapi-mesa (= 8.0.4-0ubuntu0.3)
E: Unable to correct problems, you have held broken packages.

but it does run. Tf2 however, will not start. This may be due to video driver issues. I am new to linux/ubuntu and have no idea how to install the latest. I tried downloading the zip from amd and found instructions (for an older version, can't seem to find anything for mine) on how to install that, but there were errors. Video card: SAPPHIRE Vapor-X 100351VXSR Radeon HD 7970 GHz Edition 3GB 384-bit GDDR5 PCI Express 3.0 x16. I saw in another thread some issues requiring libs to be downloaded first, so I think I'll just reformat the disk and re-install and try that, but if I'm missing something obvious please feel free to point me to some appropriate doc somewhere - thank you! Note, I'm also running ubuntu on it's own disk, not a vm.
顯示 1-4,共 4 則回應
< >
thedarknite 2013 年 02 月 18 日 @ 下午 5 時 14 分 
By default the system installs with generic drivers, you probably need to activate the proprietary driver which you can do by following these instructions or on this ubuntu page[wiki.ubuntu.com]
最後修改者:thedarknite; 2013 年 02 月 18 日 @ 下午 5 時 18 分
chikin.sauce 2013 年 02 月 18 日 @ 下午 5 時 50 分 
Thank you I tried that however with no success. I chose the non beta one and it acted like it installed, however the light was never "green" beside it and when I started steam, it said I needed to upgrade to the beta one. I tried that and it errored out and couldn't complete the operation. Maybe it's because I didn't update the latest software (update center) before I tried it? We'll see how that goes.
[Linux]sulman 2013 年 02 月 18 日 @ 下午 6 時 41 分 
Pretty sure you need mesa 9 for TF2. Try a system update first.
Thyriel 2013 年 02 月 27 日 @ 下午 11 時 08 分 
Im having a similar Problem starting TF2. Only a Window pops up and closes instantly.

Errors are: (replaced steamid in directory with ...)

[0228/075551:ERROR:resource_bundle.cc(411)] Failed to load /mnt/steamapps/steam/SteamApps/.../Team Fortress 2/cef_gtk.pak

-> that file does not exist in the folder

and after some cpu infos:

/mnt/steamapps/steam/SteamApps/.../Team Fortress 2/hl2.sh: line 72: 3153 Segmentation fault (core dumped) ${GAME_DEBUGGER} "${GAMEROOT}"/${GAMEEXE} "$@"
Game removed: AppID 440 "Team Fortress 2", ProcID 3153



Computer is an Alienware M17xR3 Laptop (i7, 6990M, 8GB) running Kubuntu 12.10 64bit (32bit libraries installed), system is up to date, Prop. Drivers activated (and working correctly, at least Heaven Benchmark runs great)
最後修改者:Thyriel; 2013 年 02 月 27 日 @ 下午 11 時 11 分
顯示 1-4,共 4 則回應
< >
每頁: 15 30 50
張貼日期: 2013 年 02 月 18 日 @ 下午 5 時 09 分
回覆: 4